di-netboot-assistant (0.46) unstable; urgency=medium

  * Add download date and time to PXE-menu entries (closes: #576858).
  * Update PXE-menu (closes: #584989).
  * Implement EFI boot with grub EFI image.  Update DHCP-server
    configuration examples accordingly.
  * Make gpgv output independent of language settings, to display result
    of signature check in any case.

 -- Andreas B. Mundt <andi@debian.org>  Wed, 13 Sep 2017 17:39:08 +0300

di-netboot-assistant (0.45) unstable; urgency=medium

  * Switch Debian repositories to 'deb.debian.org' (closes: #789247).
  * Fix bad quoting in for-loop.  Thanks to KiBi for spotting it.
  * Fix autopkgtest and test more options.

 -- Andreas B. Mundt <andi@debian.org>  Fri, 08 Sep 2017 09:55:04 +0300

di-netboot-assistant (0.44) unstable; urgency=medium

  * Do not try to continue if checksum file is unavailable.
  * Disable outdated releases (LP: #1590753).
  * Fix some return value propagation, cleanup.
  * Fix installing several images in one run.
  * Send error messages to stderr.
  * Implement simple autopkgtest.

 -- Andreas B. Mundt <andi@debian.org>  Thu, 07 Sep 2017 15:33:09 +0300

di-netboot-assistant (0.43) unstable; urgency=medium

  * Implement signature verification for images (closes: #775904).
  * Give basic information even if not in verbose mode.
  * Suggest 'isc-dhcp-server' instead of 'dhcp3-server' (closes: #799006).
  * Cleanup and minor fixes, update source list of images.
  * Bump Standards-Version to 4.0.1 (no changes needed).

 -- Andreas B. Mundt <andi@debian.org>  Wed, 06 Sep 2017 19:18:39 +0300

di-netboot-assistant (0.42) unstable; urgency=medium

  [ Andreas B. Mundt ]
  * Fix 'rebuild-menu' if only packaged installers are available.

 -- Christian Perrier <bubulle@debian.org>  Wed, 28 Jun 2017 07:28:49 +0200

di-netboot-assistant (0.41) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Feb 2016 15:04:47 +0100

di-netboot-assistant (0.40) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Switch d-i.debian.org URIs from http to https.

 -- Christian Perrier <bubulle@debian.org>  Mon, 04 Jan 2016 06:58:31 +0100

di-netboot-assistant (0.39) unstable; urgency=medium

  * Run wrap-and-sort, white space changes, unify indents.
  * Bump Standards-Version to 3.9.6 and add myself to Uploaders.
  * Update 'di-sources.list' (closes: #788292).  Thanks to Matt
    Taggart <taggart@debian.org>.
  * Remove some outdated content from the README.  Simplify the example
    dhcpd.conf.simple and fix a typo (closes: #776670).  Thanks to Martin
    F Krafft <madduck@debian.org>.
  * Implement the inclusion of debian-installer packages.  Add
    instructions to the README and a warning when installing insecurely.

 -- Andreas B. Mundt <andi@debian.org>  Fri, 14 Aug 2015 15:59:41 +0200

di-netboot-assistant (0.38a+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix package for jessie.  The patch has been mostly provided by Jonas
    Smedegaard and should fix all issues related to new syslinux:
    - Lookup pxelinux.0 in /usr/lib/PXELINUX (not only
      /usr/lib/syslinux).
    - Lookup only BIOS binaries (not accidentally include EFI binaries).
    - Install core modules in tftpd debian-installer dir.
    - Keep vesamenu and menu modules in sync with PXELINUX.
    - Enable jessie releases.
    For details, see the discussion in the bugs closed.  Thanks to Jonas
    Smedegaard and Martin F Krafft.  (Closes: #759424, closes: #776565)

 -- Andreas B. Mundt <andi@debian.org>  Mon, 02 Feb 2015 19:46:08 +0100

di-netboot-assistant (0.38a) unstable; urgency=low

  [ Frank Lin PIAT ]
  * This minor release merely update the changelog of 0.38

 -- Christian Perrier <bubulle@debian.org>  Tue, 16 Jul 2013 07:17:24 +0200

di-netboot-assistant (0.38) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

  [ Frank Lin PIAT ]
  * Update di-sources.list for current Debian and Ubuntu distributions
    (Closes:#714397, also Closes:#505738, Thanks to Matt Taggart)
  * Use vim-addon-manager for di-sources.list syntax highlighting (thanks
    Stig Sandbeck Mathisen)
  * Early support running on non .DEB distributions (i.e distro that don't
    have "dpkg --compare-versions").
  * Detect current architecture on rpm based distributions.
  * Convert Debian packaging to dh (debhelper 7)
  * Bump standards to 3.9.4
  * fix copyright-with-old-dh-make-debian-copyright
  * fix binary-control-field-duplicates-source
  * fix debian-news-entry-uses-asterisk
  * fix hyphen-used-as-minus-sign
  * fix spelling-error-in-manpage
  * fix vim-addon-within-vim-runtime-path
  * Fix hardcoded path used by uninstall (Closes:#700186)
  * fix bug validating --alias parameter
  * Rewrite default arch handling.
  * Simplify debug output of install_repo_for_arch
  * Factorise code to function install_repo_for_arch
  * Factorise code for declared_arch_for_repo

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jul 2013 13:23:13 +0200

di-netboot-assistant (0.37) unstable; urgency=low

  [ Frank Lin PIAT ]
  * DHCP option 210 (pathprefix="/") isn't needed anymore.
    (Closes:#498206)
  * add options di-args and target-args for boot parameters.
  * Improve command line argument parsing.
  * Implement "--alias" option.
  * Improve comments in di-sources.list
  * Improve di-netboot-assistant manpage.
  * allow running by a non-privileged user (Closes:#503359, Thanks
    to Daniel Kahn Gillmor for the patch)
  * Change umask to allow group writables files.
  * Use dpkg --print-architecture to query arch.
  * Display failed URL without requiring --verbose (Closes:#493418,
    Thanks to Chris Lamb)
  * Don't re-download files if checksum match (Closes:#493666,
    Thanks to Chris Lamb)
  * Output status messages to STDOUT, not STDERR (Closes:#493426,
    Thanks to Chris Lamb)
  * Default PROMPT to 0 in pxelinux.HEAD (Closes:#493548, Thanks to
    Chris Lamb)
  * TFTP: recommend tftpd-hpa|atftpd, since package tftpd isn't
    suitable for netboot (Closes:#537649, Thanks to Daniel Baumann).
  * Downgrade elilo, syslinux dependency to suggest: fetch bootloader
    installed images.
  * Fetch daily images from d-i.debian.org. Closes: #576856

  [ Colin Watson ]
  * Add wheezy to diSourcesDistrKeyword.
  * Update Ubuntu distributions in diSourcesDistrKeyword: remove EOLed edgy,
    feisty, gutsy, intrepid, and jaunty, and add karmic, lucid, maverick,
    and natty.

  [ Hector Oron ]
  * disources.vim: add armhf architecture support
  * README: add armhf architecture support

  [ Joey Hess ]
  * Update i386 daily build location.

  [ Christian Perrier ]
  * Add myself to Uplaoders and make the package team-maintained
  * Bump standards to 3.9.3

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Aug 2012 12:24:41 +0200

di-netboot-assistant (0.36d) unstable; urgency=low

  * Simplify the file structure in the source and let debhelper do the
    heavy lifting to move things into place. No functional changes.

 -- Frans Pop <fjp@debian.org>  Fri, 05 Jun 2009 13:36:01 +0200

di-netboot-assistant (0.36c) unstable; urgency=low

  * Add Ubuntu Intrepid in di-sources.list (Thanks to Asheesh Laroia,
    Closes:#505738)
  * Warn if configuration file version number is incorrect.
  * New homepage
  * Fix typo in di-source.list. Closes: #493451, Thanks to Chris Lamb
  * Avoid garbage error message on 1st run.
  * Avoid "Upgrading pxelinux.0" false positive messages.

 -- Frank Lin PIAT <fpiat@klabs.be>  Sat, 01 Nov 2008 17:07:11 +0100

di-netboot-assistant (0.36b) unstable; urgency=low

  * New SVN repository.

 -- Frank Lin PIAT <fpiat@klabs.be>  Sat, 01 Nov 2008 15:07:11 +0100

di-netboot-assistant (0.36a) unstable; urgency=low

  * fix incorrect location of elilo.conf top menu, when
    an alternate extract location is specified.
  * Invoke curl with "--fail" to actually detect errors. Closes: #493664,
    Thanks to Chris Lamb for the patch.
  * Upgrade pxelinux.0 when the installed image has a newer one
    (Fix bug reported by Frans Pop).

  * fix lintian errors (debian-watch-file-in-native-package and
    debian-copyright-line-too-long).
  * Remove duplicate "MENU TITLE" in pxelinux.HEAD. Closes: #493549,
    Thanks to Chris Lamb for the patch.
  * Correct strange "( release , arch )" spacing in menu. Closes: #493544,
    Thanks to Chris Lamb for the patch.
  * Correct typo in "missing checksum" output message. Closes: #493428,
    Thanks to Chris Lamb.
  * Correct title of manpage. Closes: #493412,
    Thanks to Chris Lamb.
  * Document --rebuild-menu option, implemented in 0.36.
  * Change maintainer email fpiat@bigfoot.com -> fpiat@klabs.be

 -- Frank Lin PIAT <fpiat@klabs.be>  Wed, 23 Jul 2008 08:20:13 +0200

di-netboot-assistant (0.36) unstable; urgency=low

  * Implement the command rebuild-menu.
  * Add dnsmasq as alternate dhcp and tftpd dependency (as suggested
    by Pietro Abate).
  * Document how to use dnsmasq.
  * Document that pxelinux.pathprefix="/" and that passing some
    DHCP options are mandatory (bug reported by Frans Pop).
  * Clarify error message when syslinux/elilo aren't installed.
  * Add IA64 overview menu in examples/dhcpd.conf.multiarch
  * Add example dhcpd.conf.simple.

  * Upload sponsored by Petter Reinholdtsen.

 -- Franklin Piat <fpiat@bigfoot.com>  Sun, 13 Jul 2008 19:32:50 +0200

di-netboot-assistant (0.35) unstable; urgency=low

  * Implement MD5SUMS checkum checking (requested by Joey Hess).
  * Change the way unreachable mirrors are handled.
  * Fix path in pxelinux.HEAD

  * Upload sponsored by Petter Reinholdtsen.

 -- Franklin Piat <fpiat@bigfoot.com>  Fri, 11 Jul 2008 00:26:10 +0200

di-netboot-assistant (0.34) unstable; urgency=low

  * Add an option to choose the mirror (actually, rewrite canonical URL).
  * Add etch-gtk, lenny-gtk entries, etc..
  * Use the mirror ftp.de.debian.org by default (it has all archs !).
  * Fix location of images in di-sources.list (drop /debian prefix)
  * Re-add curl as alternate dependency to wget (was removed by mistake)
  * Add elilo as recommend dependency.

 -- Franklin Piat <fpiat@bigfoot.com>  Tue, 08 Jul 2008 09:51:35 +0200

di-netboot-assistant (0.33) unstable; urgency=low

  * Fix location of sparc images in di-sources.list
  * Multiple improvements in the documenations, manpage,
    examples (thanks to Joey Hess).
  * Don't load french keymap (thanks to Joey Hess).
  * Don't use french mirrors in di-sources.list by default.
  * Add some wishlist from Joey Hess to the TODO list.

 -- Franklin Piat <fpiat@bigfoot.com>  Tue, 08 Jul 2008 08:10:42 +0200

di-netboot-assistant (0.32) unstable; urgency=low

  * Policy version 3.8.0 (bumped in previous release): no changes required.
  * ITP (closes: #489812).

 -- Franklin Piat <fpiat@bigfoot.com>  Tue, 08 Jul 2008 00:22:45 +0200

di-netboot-assistant (0.31) unstable; urgency=low

  * Policy version 3.7.3: no changes required.
  * Add Homepage: header to source package.
  * Update manpage and README.Debian.

 -- Franklin Piat <fpiat@bigfoot.com>  Mon, 09 Jun 2008 23:47:59 +0200

di-netboot-assistant (0.30) unstable; urgency=low

  * No upgrade from pre 0.30 : purge, then install.
  * Support downloading/unpacking alpha, ia64, hppa and sparc.
  * Support IA64's elilo (update file path in elilo.conf).
  * Improve dhcpd.conf example file.
  * Add vim syntax file for di-sources.list (disources.vim).
  * Dependency changed to [wget|curl].
  * Invoking "purge" without repository lists currently installed.
  * Don't build empty pxelinux.menu file (for ia64...)
  * Renamed pxelinux.cfg files renamed pxelinux.cfg/default
  * Renamed configuration file pxelinux.cfg.HEAD as pxelinux.HEAD

 -- Franklin Piat <fpiat@bigfoot.com>  Tue, 03 Jun 2008 01:18:00 +0200

di-netboot-assistant (0.21) unstable; urgency=low

  * Add package description.
  * Remove dummy prerm.
  * Fix debian/control's Maintainer name case.
  * Improve README.
  * cleanup /etc/di-netboot-assistant/pxelinux.cfg.HEAD

 -- Franklin Piat <fpiat@bigfoot.com>  Mon, 02 Jun 2008 23:51:56 +0200

di-netboot-assistant (0.20) unstable; urgency=low

  * Save information about downloaded repositories.

 -- Franklin Piat <fpiat@bigfoot.com>  Fri, 16 May 2008 08:04:22 +0200

di-netboot-assistant (0.19) unstable; urgency=low

  * Package rename.
  * Print warning if no argument is passed.
  * Add dhcpd.conf example (untested!)

 -- Franklin PIAT <fpiat@bigfoot.com>  Mon, 05 May 2008 02:14:20 +0200

dibas (0.18) unstable; urgency=low

  * Initial Public Release.

 -- Franklin PIAT <fpiat@bigfoot.com>  Sun, 04 May 2008 12:42:15 +0200
